# List Attachments

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/attachments/list/

`GET /unified/ticketing/attachments`

Resource: **Attachments** · API: **Unified Ticketing API**

## Supported integrations

Accelo, Asana, Azure DevOps, Bitbucket, BMC Helix, ClickUp, Dixa, Freshdesk, Front, FuseDesk, Gorgias, Help Scout, Helpshift, Hive, HubSpot (partial), Intercom, Jira, Jira Service Management, Kustomer, Linear, LiveAgent, LiveChat, Microsoft 365 (partial), Microsoft Planner (partial), Missive, Monday.com, Pivotal Tracker, Podium, Puzzel Case Management, Quickbase for Project Management, Re:amaze, Richpanel, Salesforce (partial), ServiceNow, servicenowitsm, Shortcut, SolarWinds Service Desk, SurveySparrow Ticket Management, Teamwork Project Management, Todoist, Trello, Trengo, Wrike, YouTrack, Zendesk, Zoho Desk, Zoho Projects

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`comment`** _(unknown)_
- **`ticket`** _(object)_
- **`workspace`** _(object)_
  The unique identifier for a workspace
- **`collections`** _(array<unknown>)_
- **`is_internal`** _(boolean)_
  Allowed: `true`
- **`conversations`** _(unknown)_
- **`organization`** _(object)_
- **`ticket_type`** _(enum)_
  Allowed: `issue`, `task`

## Response body

- **`result`** _(array<object>)_
  List of Attachments
  - **`id`** _(string)_
    The unique identifier for the attachment
  - **`file_name`** _(string)_
    The attachment's name.
  - **`ticket_id`** _(string)_
    The ticket id to which the attachment belongs
  - **`size`** _(number)_
    The file size in bytes
  - **`file_url`** _(string)_
    The URL to download the attachment
  - **`content_type`** _(string)_
    The content type of the attachment
  - **`uploaded_by`** _(string)_
    The user who uploaded the attachment
  - **`uploaded_by_type`** _(string)_
    The type of the user who uploaded the attachment
  - **`created_at`** _(string)_
    The time when the attachment was created
  - **`updated_at`** _(string)_
    The time when the attachment was updated
  - **`etag`** _(string)_
    The unique identifier for the specific version of the resource.
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/ticketing/attachments?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/attachments?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ticketing/attachments"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ticketing',
  'attachments',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ticketing",
        "attachments",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
